콘텐츠로 건너뛰기

Ideogram Upscale

통합

모델 id ideogram/upscale
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ideogram/upscale?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.06 60 API 크레딧 · ≈ ₽6.33 이 페이지에서 실행

API 키 받기
Ideogram 업스케일 #upscaling#high-res

유사도와 디테일 슬라이더 및 프롬프트 안내를 지원하는 이미지 업스케일러

Ideogram · 이미지

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

기본값

이미지 업스케일링을 안내하는 데 사용되는 프롬프트입니다.

•필수 image_url
파일을 끌어다 놓거나

업스케일링할 이미지의 URL입니다.

고급 resemblance · detail · seed · expand_prompt
기본값 50

업스케일된 출력과 원본 이미지 간의 유사도입니다.

기본값 50

업스케일된 출력의 세부 묘사 수준입니다.

난수 생성에 사용하는 시드 값입니다.

POST /run/ideogram/upscale?wait=20 견적 → $0.06
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ideogram/upscale?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Ideogram Upscale 정보

참조 이미지를 최대 2배로 확대하며 그 과정에서 이미지를 개선할 수 있습니다. `resemblance`와 `detail`은 각각 1~100(기본값 50) 범위로, 충실도와 추가 디테일의 균형을 조정합니다. 선택적 `prompt`로 결과를 유도할 수 있고, `expand_prompt`로 자동 확장할 수 있습니다. `seed`를 사용하면 실행을 재현할 수 있습니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
image_url필수 image
유형url · image
업스케일링할 이미지의 URL입니다.
prompt선택 사항
유형string | null
기본값
이미지 업스케일링을 안내하는 데 사용되는 프롬프트입니다.
resemblance선택 사항
유형integer
기본값50
1 – 100
업스케일된 출력과 원본 이미지 간의 유사도입니다.
detail선택 사항
유형integer
기본값50
1 – 100
업스케일된 출력의 세부 묘사 수준입니다.
expand_prompt선택 사항
유형boolean
기본값false
MagicPrompt가 프롬프트를 확장할지 제어합니다.
seed선택 사항
유형integer | null
난수 생성에 사용하는 시드 값입니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ideogram/upscale",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 60,
    "usd": "0.06",
    "charged": 60,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
images
array of object {url, content_type, file_name, file_size}
seed
integer난수 생성에 사용하는 시드 값입니다.

더 많은 모델: 업스케일

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/ideogram/upscale.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt